%define name libgksuui1.0
%define version 1.0.6
%define release 1mdk

%define fakename gksuui1.0

%define major _0
%define libname %mklibname %{fakename} %major
%define libnamedev %mklibname %{fakename} %major -d

Name: %{name}
Summary: GKSuui libraries
Version: %{version}
Release: %{release}
Source: http://people.debian.org/~kov/gksu/libgksuui1.0/%{name}-%{version}.tar.bz2
Url: http://www.nongnu.org/gksu/
Group: System/Libraries
BuildRoot: %{_tmppath}/%{name}-buildroot
License: GPL

%description
LibGKSuUI is a library from the gksu program that provides a Gtk+ dialog 
and X authentication facilities for running programs as root or another 
user in an X session.

%package -n %libname
Summary: GKSuui libraries
Group: System/Libraries

%description -n %libname
LibGKSuUI is a library from the gksu program that provides a Gtk+ dialog 
and X authentication facilities for running programs as root or another 
user in an X session.

%package -n %libnamedev
Summary: Development package for %{name}
Group: Development/Other
Requires: %libname = %version
Provides: libgksuui1.0-devel
Provides: libgksuui-devel

%description -n %libnamedev
Development package for %{name}

LibGKSuUI is a library from the gksu program that provides a Gtk+ dialog
and X authentication facilities for running programs as root or another
user in an X session.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q 

%configure2_5x

%build

%make

%install

%makeinstall

%find_lang %name

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %libname -p /sbin/ldconfig

%postun -n %libname -p /sbin/ldconfig

%files -n %libname -f %name.lang
%defattr(-,root,root)
%{_libdir}/*.so.*
%_datadir/libgksuui1.0

%files -n %libnamedev
%defattr(-,root,root)
%doc INSTALL ChangeLog AUTHORS
%{_libdir}/*.so
%{_libdir}/lib*.a
%{_libdir}/lib*.la
%{_includedir}/*
%_libdir/pkgconfig/*
%_datadir/gtk-doc/html/%name

%changelog 
* Wed Aug 24 2005 Austin Acton <austin@mandriva.org> 1.0.6-1mdk
- 1.0.6
- configure 2.5
- source URL

* Mon Oct 18 2004 Lenny Cartier <lenny@mandrakesoft.com> 1.0.3-2mdk
- fix provides

* Mon Oct 18 2004 Lenny Cartier <lenny@mandrakesoft.com> 1.0.3-1mdk
- new
